Now for Preloader

Discussion in 'Wii - Hacking' started by DigitalSquirrel, Jun 28, 2009.

Jun 28, 2009

Now for Preloader by DigitalSquirrel at 2:36 AM (730 Views / 0 Likes) 8 replies

  1. DigitalSquirrel
    OP

    Member DigitalSquirrel GBAtemp Regular

    Joined:
    Oct 26, 2008
    Messages:
    258
    Country:
    United States
    I'm getting 'Failed to get root, current IOS(36) has the fakesign bug fixed' when I try to install Preloader. any tips on where I go from here? I'm on 4.0u
     
  2. WB3000

    Member WB3000 GBAtemp Advanced Fan

    Joined:
    Apr 5, 2007
    Messages:
    668
    Country:
    United States
    Install perhaps an older IOS36 with the bug present? ...
     
  3. DigitalSquirrel
    OP

    Member DigitalSquirrel GBAtemp Regular

    Joined:
    Oct 26, 2008
    Messages:
    258
    Country:
    United States
    [​IMG] I'm too noob still to do it on my own. I need 22" trainingwheels.
     
  4. WB3000

    Member WB3000 GBAtemp Advanced Fan

    Joined:
    Apr 5, 2007
    Messages:
    668
    Country:
    United States
    Hmm, well if you have a cIOS for instance you should be able to overwrite the IOS36 with an older version using the WAD Manager. Perhaps it would be easier to get an IOS36 from all that cIOScorp/softmii stuff and install it.

    You could grab a IOS36 wad legally of NUS with NUS Downloader, and then feed the packed wad into freethebug (part of wwpacker) which would put the trucha (fake) signing bug back into the IOS.
     
  5. ether2802

    Former Staff ether2802 we have the techno...!!

    Joined:
    Oct 14, 2007
    Messages:
    4,350
    Location:
    Pto. Vallarta
    Country:
    Mexico
    You are going to need to install a cIOS first, search for a guide about "cIOS on 4.0", or something like that..!! [​IMG]
     
  6. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    I meant to ask about this, since you made the program. Don't get me wrong with this, I love your program and use several wads created with it.

    But either way, I can't seem to get wads made with that to work with the fake signing patch to them. I actually got one wad from a disc, one from your program of the same IOS, and the one from the disc behaved differently in the wwpacker program. (I don't know if that's what's causing it to have problems, but it is a difference worth noting.)

    Either way, I tried patching an IOS61 from the program and it would not work with the shop channel. I don't know for sure if it's a problem that occurs with an official IOS61 wad, but it doesn't make sense that it doesn't work on that yet it would work with the programs for the wii that would download and patch it for you and have it work.
     
  7. WB3000

    Member WB3000 GBAtemp Advanced Fan

    Joined:
    Apr 5, 2007
    Messages:
    668
    Country:
    United States
    I'm not entirely sure whether or not there's any issues with freethebug used with NUSD. I recall installing IOS61 for the shop, not having a working shop, and then reinstalling the shop to find that it works. IOS60 with freethebug worked with no hassle, at least the Sysmenu worked.

    There's not a lot of variation between WADs, if NUSD was Doing it Wrong  the WAD wouldn't install at all. Freethebug seems to act like it patched properly, I get a single fix on 000000e.app for IOS61, and the WAD is (nearly) the same size. It adds a 64 byte footer, which not only is unavailable on NUS, but is useless regarding function.
     
  8. DigitalSquirrel
    OP

    Member DigitalSquirrel GBAtemp Regular

    Joined:
    Oct 26, 2008
    Messages:
    258
    Country:
    United States
    I think I'm almost at home plate... I took a long route, but we'll see.
     
  9. s3phir0th115

    Member s3phir0th115 GBAtemp Advanced Fan

    Joined:
    Dec 31, 2008
    Messages:
    700
    Country:
    United States
    Ah. Ok. I may try that then. I was going to do the patch on an IOS60 wad so there is an offline way to go to system menu 4.0 that I can use without bricking.

    Was this system menu 4.0 you were trying this on, or was it another version?
     

Share This Page